#include <bits/stdc++.h>
using namespace std;
int main()
{
	long long x,n,temp;
	cin>>n>>x;
	long long a[n];
	for(int i=1;i<=n;i++) cin>>a[i];
	for(int i=1;i<=n;i++){
		for(int j=1;j<n;j++){
			if(a[j]>a[j+1]){
				temp=a[j]; a[j]=a[j+1]; a[j+1]=temp;
			}
		}
	}
	if(a[n]<x) cout<<abs(x-a[1])<<endl;
	if(a[1]>x) cout<<abs(a[n]-x)<<endl;
	if(a[1]<x && a[n]>x){
		if(abs(x-a[1])<abs(a[n]-x)) cout<<abs(x-a[1])+a[n]-a[1]<<endl;
		else cout<<abs(a[n]-x)+a[n]-a[1]<<endl;
	}
	return 0;
}